import unittest
from WeatherReader import *

class XMLProcessingTestCase(unittest.TestCase):
	def test_getWeather(self):
		weather = getWeather('seoul')
		self.assert_(isinstance(weather, WeatherData))
		newWeather = getWeather('seoul')
		self.assertNotEquals(newWeather, weather)
		
	def test_weatherData(self):
		
		weatherData = getWeather("seoul", True)
		self.assertEquals(weatherData.condition, 'Mostly Cloudy')
		self.assertEquals(weatherData.temp_c, '5')
		
	def test_WeatherDataSetAttr(self):
		weatherData = WeatherData()
		weatherData.setAttr('name', 'value')
		self.assertEquals(weatherData.name, 'value')


if __name__ == "__main__":
	unittest.main(argv=("", "-v"))
