import os
import sys

import wx

[wxID_FRAME1BUTTON1,
wxID_FRAME1RADIOBOX1,
] = [wx.NewId() for _init_ctrls in range(2)]

class ConfigurePanel(wx.Panel):
    def __init__(self, *args, **kws): 
        wx.Panel.__init__(self, *args, **kws)

        modeList = ['Weather', 'Random']
        self.RadioBoxMode = wx.RadioBox(self, wxID_FRAME1RADIOBOX1, "Mode", wx.Point(16, 16), 
                wx.Size(100, 88), modeList, 1, wx.RA_SPECIFY_COLS)
        self.ButtonSave = wx.Button(self, wxID_FRAME1BUTTON1, "Save", wx.Point(192, 320), size=wx.Size(75, 24))
        self.Bind(wx.EVT_BUTTON, self.OnButtonSave, self.ButtonSave)
        
    def OnButtonSave(self, evt): # FIXME
        mainFrame = self.Parent.Parent
        mainFrame.conf.mode = self.RadioBoxMode.GetStringSelection()
        mainFrame.conf.save()
