# -*- coding: cp949 -*-
import os
import sys

import wx

import Configuration
import Changer

import TaskBarFrame
import WeatherPanel
import ConfigurePanel
import RandomPanel

def create(parent):
	return PyWall(parent)

[wxID_FRAME1, 
	wxID_FRAME1NOTEBOOK1,
		wxID_FRAME1WEATHERPANEL,
		wxID_FRAME1CONFIGUREPANEL,
		wxID_FRAME1RANDOMPANEL,
] = [wx.NewId() for _init_ctrls in range(5)]

class PyWall(TaskBarFrame.TaskBarFrame):	
	def __init__(self, parent):

		TaskBarFrame.TaskBarFrame.__init__(self, id=wxID_FRAME1, name='', parent=parent, 
		pos=wx.Point(585, 320), size=wx.Size(395, 393), 
		style=wx.MINIMIZE_BOX|wx.SYSTEM_MENU|wx.CAPTION|wx.CLOSE_BOX|wx.CLIP_CHILDREN, title='PyWall')

		self.icon = wx.Icon("./images/pywall.ico", wx.BITMAP_TYPE_ICO)   # FIXME 
		self.SetClientSize(wx.Size(387, 349))

		self.conf = Configuration.Configuration()
		self.Notebook = wx.Notebook(self, wxID_FRAME1NOTEBOOK1, style=wx.BK_DEFAULT)

		weatherPanel = WeatherPanel.WeatherPanel(id=wxID_FRAME1WEATHERPANEL, name='WeatherPanel', parent=self.Notebook, 
		pos=wx.Point(0, 0), size=wx.Size(387, 359), style=wx.TAB_TRAVERSAL)
		self.Notebook.AddPage(weatherPanel, "Weather")
		

#		randomPanel = RandomPanel.RandomPanel(id=wxID_FRAME1RANDOMPANEL, name='RandomPanel', parent=self.Notebook, 
#		pos=wx.Point(0, 0), size=wx.Size(387, 359), style=wx.TAB_TRAVERSAL)
#		self.Notebook.AddPage(randomPanel, "Random")
#		randomPanel.Enable(False)

#		configurePanel = ConfigurePanel.ConfigurePanel(id=wxID_FRAME1CONFIGUREPANEL, name='ConfigurePanel', parent=self.Notebook, 
#		pos=wx.Point(0, 0), size=wx.Size(387, 359), style=wx.TAB_TRAVERSAL)
#		self.Notebook.AddPage(configurePanel, "Configuration")

		self.pyTimer = wx.PyTimer(self.changeWallpaper)
		self.pyTimer.Start(self.conf.interval * 1000) # FIXME 10 min

		# icon setting
		self.SetIcon(wx.Icon('./images/pywall.ico', wx.BITMAP_TYPE_ICO))

		# first
		self.changeWallpaper()

	def changeWallpaper(self): # FIXME
		l = ['Weather', 'Random']
		panel = self.Notebook.GetPage(l.index(self.conf.mode))
		panel.changeWallpaper()
				
	def OnWxFrameClose(self, evt): 
		self.tbicon.SetIcon(self.icon, "PyWall") 
		self.Show(False) 
		#evt.Skip() 
 
