# -*- coding: utf8 -*-
import os
import sys
import time
import random
import glob

import wx
import Configuration
import Changer

[wxID_FRAME1BUTTON1,
] = [wx.NewId() for _init_ctrls in range(1)]

random.seed(time.time())

class RandomPanel(wx.Panel):
	def __init__(self, *args, **kws): 
		wx.Panel.__init__(self, *args, **kws)
		self.imageFolder = ""
		self.imageList = []

		self.buttonSearch = wx.Button(id=-1, label="Search", name="Search", parent=self, pos=wx.Point(200, 200), size=wx.Size(50, 50), style=0)
		self.Bind(wx.EVT_BUTTON, self.OnButtonSearch, self.buttonSearch)

	def OnButtonSearch(self, evt):
		dlg = wx.DirDialog(self, "Choose a directory:", style = wx.DD_DIR_MUST_EXIST|wx.RESIZE_BORDER)
		if dlg.ShowModal() == wx.ID_OK:
			self.imageFolder = dlg.GetPath()
			self.imageList = glob.glob(os.path.join(self.imageFolder, '*.*'))  # FIXME
		dlg.Destroy()

	def changeWallpaper(self): # FIXME (Only Image File..)
		if self.imageList:
			Changer.changeWallpaper(random.choice(self.imageList))
