# -*- encoding: cp949 -*- 

import xml.dom.minidom
import urllib
import sys

class WeatherData:
    def __init__(self):#, condition = None, temperature = None):
        pass

    def setAttr(self, name, value):
        if sys.platform[:3] == 'win':
            value = value.decode('utf8').encode('mbcs')
        self.__dict__[name] = value

def getWeather(city, isTest=False):
	if isTest:
		address = "./testDatas/google_seoul.xml"
	else:	
		address = "http://www.google.com/ig/api?weather=" + city #FIXME : Validation of city
        try:
            fileObj = urllib.urlopen(address)
            dom = xml.dom.minidom.parse(fileObj)
            currentWeatherDom = dom.getElementsByTagName("current_conditions")[0]
        except:
            return None
	weather = WeatherData()
	for node in currentWeatherDom.childNodes:
		weather.setAttr(node.nodeName, node.getAttribute('data'))
	return weather
